<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2000 - INRIA - Carlos Klimann
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="cdff">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>cdff</refname>
    <refpurpose> fonction de répartition de la distribution de Fisher  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>[P,Q]=cdff("PQ",F,Dfn,Dfd)
[F]=cdff("F",Dfn,Dfd,P,Q);
[Dfn]=cdff("Dfn",Dfd,P,Q,F);
[Dfd]=cdff("Dfd",P,Q,F,Dfn)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>P,Q,F,Dfn,Dfd  </term>
        <listitem>
          <para>5 vecteurs réels de même taille.
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>P,Q (Q=1-P)  </term>
        <listitem>
          <para> Intégrale de 0 à F de la densité En entrée : [0,1].
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>F  </term>
        <listitem>
          <para>Borne supérieure d'intégration En entrée : [0, +infini). En recherche : [0,1E300]
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>Dfn  </term>
        <listitem>
          <para>Degrés de liberté de la somme des carrés au numérateur En entrée : (0, +infini). En recherche : [ 1E-300, 1E300]
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>Dfd  </term>
        <listitem>
          <para>Degrés de liberté de la somme des carrés au dénominateur En entrée : (0, +infini). En recherche : [ 1E-300, 1E300]
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    Étant donnés les autres, calcule un paramètre de la distribution de Fisher.
  </para>
    <para>
    La formule  26.6.2  de   Abramowitz  et  Stegun,   Handbook   of
    Mathematical Functions  (1966) est utilisée pour réduire le calcul de la fonction de répartition de la distribution à celle d'une loi beta incomplète.
  </para>
    <para>
    Le calcul des autres paramètres implique une recherche d'une valeur conduisant à la valeur désirée pour P. La recherche dépend de la monotonicité de P par rapport aux autres paramètres.
  </para>
    <para>
    La valeur de la fonction de répartition de la distribution de Fisher n'est pas monotone.  
    Il peut y avoir deux valeurs du paramètre donnant une valeur de donnée de la fonction de répartition.  
    Cette fonction suppose qu'elle est monotone et renvoie arbitrairement une des deux valeurs.
  </para>
    <para>
    Tiré de la librairie DCDFLIB: Library of Fortran Routines for Cumulative Distribution
    Functions, Inverses, and Other Parameters (February, 1994)
    Barry W. Brown, James Lovato and Kathy Russell. The University of
    Texas.
  </para>
  </refsection>
</refentry>
